cls
IF %2. == . GOTO NOPATH
if "%1"=="1" goto DLMENU
if "%1"=="2" goto WINDOWS
if "%1"=="3" goto WP51
if "%1"=="4" goto LOTUS
if "%1"=="5" goto CAD
if "%1"=="6" goto SKETCH
if "%1"=="7" goto WORD
if "%1"=="8" goto PDUMP
if "%1"=="9" goto DW4
if "%1"=="A" goto DW5
goto END
:DLMENU
ECHO:
ECHO Creating Directory, and copying DLMENU files ...
ECHO:
MD %2:\DLMENU >NUL
COPY DLMENU\*.* %2:\DLMENU >NUL
ECHODRV >C:\RETURN.BAT
ECHOCD >>C:\RETURN.BAT
CD >>C:\RETURN.BAT
%2:
CD %2:\DLMENU
DLCFG
CLS
DLMENU /RES
ECHO:
echo:
echo     DLMENU & WINDOWS 3
echo    컴컴컴컴컴컴컴컴컴컴
echo:    
echo    DLMENU can be run within Windows as a standard DOS application in 
echo    the normal way, although given the functionalty of the new Fujitsu
echo    Windows driver, DLMENU will mainly be of use for your DOS 
echo    applications.
echo:
echo    An Icon file ( DLMENU.ICO ) has been provided, and can be assigned 
echo    to the program on addition of DLMENU to your chosen Group, Select 
echo    CHANGE ICON option and specify the complete path to the .ICO file
echo: 
PAUSE
CD \
CALL C:\RETURN
DEL C:\RETURN.BAT >NUL
goto END
:WINDOWS
echo:
echo Copying the Fujitsu 24pin printer driver for Windows 3.0 . . .
echo:
MD %2:\FUJIDRV >NUL
COPY WINDOWS3\DLSERIES.EXE %2:\FUJIDRV >NUL
ECHODRV >C:\RETURN.BAT
ECHOCD >>C:\RETURN.BAT
CD >>C:\RETURN.BAT
%2:
CD %2:\FUJIDRV
DLSERIES 
DEL DLSERIES.EXE
CD \
CLS
echo Please read the instructions provided by selecting
echo the Info box during this installation. After you have 
echo finished setting up the Windows driver, please Exit Windows in
echo the normal way. That will then return you to the Utility Disk
echo Main Menu.
echo:
pause
WIN %2:\FUJIDRV\INSTALL.EXE
CALL C:\RETURN
DEL C:\RETURN.BAT
DEL %2:\FUJIDRV\f*.* >NUL
DEL %2:\FUJIDRV\I*.* >NUL
DEL %2:\FUJIDRV\R*.* >NUL
RD %2:\FUJIDRV
goto END
:WP51
IF NOT EXIST %2\WP.EXE GOTO WRONGPATH
echo:
echo Copying the Fujitsu 24pin printer driver for WordPerfect 5.1 ...
echo:
COPY WP51\WP51fuj2.ALL %2 >NUL
ECHO To select this new driver, run WordPerfect and select Additional
echo Printers from the Print (Shift F7) section of WordPerfect 5.1
echo:
pause
goto END
:LOTUS
IF NOT EXIST %2\INSTALL.DFF GOTO WRONGPATH
echo:
echo Copying the Fujitsu 24pin printer driver for Lotus 123 Release 3.1 ...
echo:
MD C:\FUJIDRV
COPY LOTUS\L3_124CP.EXE C:\FUJIDRV >NUL
C:\FUJIDRV\L3_124CP C:\FUJIDRV
DEL C:\FUJIDRV\L3_124CP.EXE
C:\FUJIDRV\INSTALL %2
DEL C:\FUJIDRV\*.L!F
DEL C:\FUJIDRV\*.P!D
DEL C:\FUJIDRV\*.D!D
DEL C:\FUJIDRV\I.*
DEL C:\FUJIDRV\R.*
DEL C:\FUJIDRV\S.*
RD C:\FUJIDRV
goto END
:CAD
COPY AUTODESK\P*.* %2
CLS
ECHO:
ECHO Please add the driver to the AUTOEXEC.BAT or the BAT file you use to run
ECHO AutoCAD 10 or 11. The drivers are :-
ECHO:
ECHO       PPFUJI36.COM  and PPFUJIE.COM
echo:
echo:
echo Please refer the PPFUJI36.DOC and PPFUJIE.DOC for further instructions.
echo Both these files are now copied to %2
echo:
pause
goto END
:SKETCH
COPY AUTODESK\S*.* %2
CLS
ECHO:
ECHO Please add the driver to the AUTOEXEC.BAT or the BAT file you use to run
ECHO AutoSketch. The drivers are :-
ECHO:
ECHO       SKFUJI36.COM  and SKFUJIE.COM
echo:
echo:
echo Please refer the SKFUJI36.DOC and SKFUJIE.DOC for further instructions.
echo Both these files are now copied to %2
echo:
pause
goto END
:WORD
if not exist %2\word.exe goto WRONGPATH
echo:
ECHO Copying the Fujitsu 24pin printer driver, FDL4437.PRD, to Word.
echo:
echo When next you run Word, select the above .PRD driver in the Print
echo Menu, and select your model of printer.
echo:
COPY MICROSFT\*.PRD %2 >NUL
pause
goto END
:DW4
CLS
ECHO:
ECHO Copying the IBM DisplayWrite Driver
echo:
echo       Please refer the IBM DisplayWrite documentation for 
echo       selecting a new driver.
echo:
COPY IBM_DW\IBM_DW4\*.PFT %2 >NUL
pause
goto END
:DW5
CLS
ECHO:
ECHO Copying the IBM DisplayWrite Driver
echo:
echo       Please refer the IBM DisplayWrite documentation for 
echo       selecting a new driver.
echo:
COPY IBM_DW\IBM_DW5\*.PFT %2 >NUL
pause
goto END
:PDUMP
ECHO:
ECHO Creating Directory, and copying PDUMP files ...
ECHO:
MD %2:\PRTSCREN >NUL
COPY PRTSCREN\*.* %2:\PRTSCREN >NUL
%2:\PRTSCREN\PDUMP /H
echo:
echo Please refer the PDUMP.DOC and PDCFG.DOC for further instructions.
echo Both these files are now copied to %2:\PRTSCREN
echo:
pause
goto END
:NODRIVE
CLS
ECHO:
ECHO Sorry, the drive you requested is not suitable. Try another.
echo:
pause
goto END
:WRONGPATH
CLS
ECHO:
ECHO Sorry, the path you specified is not correct.
ECHO Please check your system before running Readme again.
ECHO:
PAUSE
:END
README
